# Models

## The IntegrationResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"IntegrationResponseDto":{"type":"object","properties":{"integrationId":{"type":"string"},"customerIntegrationId":{"type":"string"},"active":{"type":"boolean"},"name":{"type":"string"},"description":{"type":"string"},"logoUrl":{"type":"string"},"host":{"type":"string"},"updatedAt":{"format":"date-time","type":"string"},"createdAt":{"format":"date-time","type":"string"},"authType":{"type":"string","enum":["NONE","API_TOKEN","OAUTH2","AWS_ASSUME_ROLE","GOOGLE_SERVICE_ACCOUNT_OAUTH"],"description":"Currently active authentication type for the integration."}},"required":["integrationId","customerIntegrationId","active","name","host","updatedAt","createdAt"]}}}}
```

## The IntegrationUserResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"IntegrationUserResponseDto":{"type":"object","properties":{"userId":{"type":"string"},"active":{"type":"boolean"},"updatedAt":{"format":"date-time","type":"string"},"createdAt":{"format":"date-time","type":"string"}},"required":["userId","active","updatedAt","createdAt"]}}}}
```

## The IntegrationUserAuthUrlRequestDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"IntegrationUserAuthUrlRequestDto":{"type":"object","properties":{"redirectUri":{"type":"string","description":"The optional redirect URI to redirect the user to after authentication. Askel will append query param ?status=success/error. If not provided, a default success/failure page will be shown."}}}}}}
```

## The IntegrationUserAuthUrlResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"IntegrationUserAuthUrlResponseDto":{"type":"object","properties":{"authorizeUrl":{"type":"string"}},"required":["authorizeUrl"]}}}}
```

## The RunDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"RunDto":{"type":"object","properties":{"runId":{"type":"string","description":"Unique identifier for the run","format":"uuid"},"repeatKey":{"type":"string","description":"Key passed or generated during creation to repeat the run later","format":"string"},"repeatRunId":{"type":"string","description":"The UUID of the run that was repeated","format":"uuid"},"userId":{"type":"string","description":"The ID of the user who initiated the run"},"status":{"type":"string","description":"Current status of the run","enum":["QUEUED","RUNNING","AUTH_REQUIRED","PAUSED","CANCELED","NO_SUCCESS","PARTIAL_SUCCESS","SUCCESS","FAILED"]},"executionPlanId":{"type":"string","description":"The UUID of the execution plan that was used for the run","format":"uuid"},"events":{"type":"array","description":"Array of events in the run","items":{"type":"object"}},"result":{"type":"object","description":"Result of the run execution"},"approvalStrategy":{"type":"string","description":"Approval strategy for the run","enum":["NONE","ON_TOOL_CALL","ON_START"]},"outputSchema":{"type":"object","description":"JSON Schema draft 7 schema for the run output format","format":"json-schema"},"inputSchema":{"type":"object","description":"JSON Schema draft 7 schema for run input format","format":"json-schema"},"input":{"type":"object","description":"Input provided when the run was created"},"intent":{"type":"string","description":"The intent or goal for the run"},"context":{"type":"string","description":"Additional context that was provided during run creation"},"createdAt":{"type":"string","description":"Timestamp when the run was created","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp when the run was last updated","format":"date-time"}},"required":["runId","repeatKey","status","executionPlanId","events","intent","context","createdAt","updatedAt"]}}}}
```

## The PaginationDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"PaginationDto":{"type":"object","properties":{"page":{"type":"number","description":"Current page number"},"pageSize":{"type":"number","description":"Number of runs requested per page"},"total":{"type":"number","description":"Total number of runs matching the query"}},"required":["page","pageSize","total"]}}}}
```

## The RunsWithPaginationDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"RunsWithPaginationDto":{"type":"object","properties":{"runs":{"description":"Runs matching the query","type":"array","items":{"$ref":"#/components/schemas/RunDto"}},"pagination":{"description":"Pagination metadata for the result set","allOf":[{"$ref":"#/components/schemas/PaginationDto"}]}},"required":["runs","pagination"]},"RunDto":{"type":"object","properties":{"runId":{"type":"string","description":"Unique identifier for the run","format":"uuid"},"repeatKey":{"type":"string","description":"Key passed or generated during creation to repeat the run later","format":"string"},"repeatRunId":{"type":"string","description":"The UUID of the run that was repeated","format":"uuid"},"userId":{"type":"string","description":"The ID of the user who initiated the run"},"status":{"type":"string","description":"Current status of the run","enum":["QUEUED","RUNNING","AUTH_REQUIRED","PAUSED","CANCELED","NO_SUCCESS","PARTIAL_SUCCESS","SUCCESS","FAILED"]},"executionPlanId":{"type":"string","description":"The UUID of the execution plan that was used for the run","format":"uuid"},"events":{"type":"array","description":"Array of events in the run","items":{"type":"object"}},"result":{"type":"object","description":"Result of the run execution"},"approvalStrategy":{"type":"string","description":"Approval strategy for the run","enum":["NONE","ON_TOOL_CALL","ON_START"]},"outputSchema":{"type":"object","description":"JSON Schema draft 7 schema for the run output format","format":"json-schema"},"inputSchema":{"type":"object","description":"JSON Schema draft 7 schema for run input format","format":"json-schema"},"input":{"type":"object","description":"Input provided when the run was created"},"intent":{"type":"string","description":"The intent or goal for the run"},"context":{"type":"string","description":"Additional context that was provided during run creation"},"createdAt":{"type":"string","description":"Timestamp when the run was created","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp when the run was last updated","format":"date-time"}},"required":["runId","repeatKey","status","executionPlanId","events","intent","context","createdAt","updatedAt"]},"PaginationDto":{"type":"object","properties":{"page":{"type":"number","description":"Current page number"},"pageSize":{"type":"number","description":"Number of runs requested per page"},"total":{"type":"number","description":"Total number of runs matching the query"}},"required":["page","pageSize","total"]}}}}
```

## The CustomerProvidedAwsCredentials object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CustomerProvidedAwsCredentials":{"type":"object","properties":{"accessKeyId":{"type":"string","description":"The AWS access key ID for authenticating requests."},"secretAccessKey":{"type":"string","description":"The AWS secret access key paired with the access key ID."},"sessionToken":{"type":"string","description":"The temporary session token for AWS STS credentials."}},"required":["accessKeyId","secretAccessKey","sessionToken"]}}}}
```

## The CustomerProvidedAwsAssumeRole object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CustomerProvidedAwsAssumeRole":{"type":"object","properties":{"roleArn":{"type":"string","description":"The ARN of the IAM role to assume for cross-account access."},"externalId":{"type":"string","description":"An external ID used to prevent confused deputy attacks when assuming the role."}},"required":["roleArn","externalId"]}}}}
```

## The CustomerProvidedOktaCredentials object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CustomerProvidedOktaCredentials":{"type":"object","properties":{"clientId":{"type":"string","description":"The Okta application client ID."},"kid":{"type":"string","description":"The key ID (kid) of the private key used to sign client assertions."},"privateKey":{"type":"string","description":"The PEM-encoded RSA private key used to sign client assertions (private_key_jwt)."},"oauthTokenUrl":{"type":"string","description":"The Okta OAuth 2.0 token endpoint URL for your organisation."},"scope":{"type":"string","description":"Space-separated list of Okta API scopes to request."},"host":{"type":"string","description":"Base host URL of your Okta organisation. If omitted, derived from oauthTokenUrl."}},"required":["clientId","kid","privateKey","oauthTokenUrl","scope"]}}}}
```

## The CustomerProvidedPassThrough object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CustomerProvidedPassThrough":{"type":"object","properties":{"customerIntegrationId":{"type":"string","description":"The ID of the customer integration this pass-through data applies to."},"headers":{"type":"object","description":"Custom headers to include in requests for this integration."},"query":{"type":"object","description":"Custom query parameters to include in requests for this integration."},"values":{"description":"Provider-specific auth credentials. Use one of: AWS temporary credentials, AWS assume-role, or Okta service app (private_key_jwt). Only one type may be supplied per integration.","oneOf":[{"$ref":"#/components/schemas/CustomerProvidedAwsCredentials"},{"$ref":"#/components/schemas/CustomerProvidedAwsAssumeRole"},{"$ref":"#/components/schemas/CustomerProvidedOktaCredentials"}]}},"required":["customerIntegrationId"]},"CustomerProvidedAwsCredentials":{"type":"object","properties":{"accessKeyId":{"type":"string","description":"The AWS access key ID for authenticating requests."},"secretAccessKey":{"type":"string","description":"The AWS secret access key paired with the access key ID."},"sessionToken":{"type":"string","description":"The temporary session token for AWS STS credentials."}},"required":["accessKeyId","secretAccessKey","sessionToken"]},"CustomerProvidedAwsAssumeRole":{"type":"object","properties":{"roleArn":{"type":"string","description":"The ARN of the IAM role to assume for cross-account access."},"externalId":{"type":"string","description":"An external ID used to prevent confused deputy attacks when assuming the role."}},"required":["roleArn","externalId"]},"CustomerProvidedOktaCredentials":{"type":"object","properties":{"clientId":{"type":"string","description":"The Okta application client ID."},"kid":{"type":"string","description":"The key ID (kid) of the private key used to sign client assertions."},"privateKey":{"type":"string","description":"The PEM-encoded RSA private key used to sign client assertions (private_key_jwt)."},"oauthTokenUrl":{"type":"string","description":"The Okta OAuth 2.0 token endpoint URL for your organisation."},"scope":{"type":"string","description":"Space-separated list of Okta API scopes to request."},"host":{"type":"string","description":"Base host URL of your Okta organisation. If omitted, derived from oauthTokenUrl."}},"required":["clientId","kid","privateKey","oauthTokenUrl","scope"]}}}}
```

## The CreateRunRequest object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CreateRunRequest":{"type":"object","properties":{"intent":{"type":"string","description":"The intent or goal for the run"},"selectedCustomerIntegrationIds":{"description":"Array of selected customer integration IDs to use for the run, or use [\"*\"] to include all active integrations","type":"array","items":{"type":"string"}},"context":{"type":"string","description":"Additional context for the run execution"},"userId":{"type":"string","description":"The ID of the user who is initiating the run"},"approvalStrategy":{"type":"string","description":"Approval strategy for the run","enum":["NONE","ON_TOOL_CALL","ON_START"]},"repeatKey":{"type":"string","description":"The key of the run to repeat","format":"string"},"outputSchema":{"type":"object","description":"JSON Schema draft 7 schema for the run output format","format":"json-schema"},"passThrough":{"description":"Pass through data for the run, e.g. credentials for the integrations used in the run","type":"array","items":{"$ref":"#/components/schemas/CustomerProvidedPassThrough"}}},"required":["intent","selectedCustomerIntegrationIds","context","userId"]},"CustomerProvidedPassThrough":{"type":"object","properties":{"customerIntegrationId":{"type":"string","description":"The ID of the customer integration this pass-through data applies to."},"headers":{"type":"object","description":"Custom headers to include in requests for this integration."},"query":{"type":"object","description":"Custom query parameters to include in requests for this integration."},"values":{"description":"Provider-specific auth credentials. Use one of: AWS temporary credentials, AWS assume-role, or Okta service app (private_key_jwt). Only one type may be supplied per integration.","oneOf":[{"$ref":"#/components/schemas/CustomerProvidedAwsCredentials"},{"$ref":"#/components/schemas/CustomerProvidedAwsAssumeRole"},{"$ref":"#/components/schemas/CustomerProvidedOktaCredentials"}]}},"required":["customerIntegrationId"]},"CustomerProvidedAwsCredentials":{"type":"object","properties":{"accessKeyId":{"type":"string","description":"The AWS access key ID for authenticating requests."},"secretAccessKey":{"type":"string","description":"The AWS secret access key paired with the access key ID."},"sessionToken":{"type":"string","description":"The temporary session token for AWS STS credentials."}},"required":["accessKeyId","secretAccessKey","sessionToken"]},"CustomerProvidedAwsAssumeRole":{"type":"object","properties":{"roleArn":{"type":"string","description":"The ARN of the IAM role to assume for cross-account access."},"externalId":{"type":"string","description":"An external ID used to prevent confused deputy attacks when assuming the role."}},"required":["roleArn","externalId"]},"CustomerProvidedOktaCredentials":{"type":"object","properties":{"clientId":{"type":"string","description":"The Okta application client ID."},"kid":{"type":"string","description":"The key ID (kid) of the private key used to sign client assertions."},"privateKey":{"type":"string","description":"The PEM-encoded RSA private key used to sign client assertions (private_key_jwt)."},"oauthTokenUrl":{"type":"string","description":"The Okta OAuth 2.0 token endpoint URL for your organisation."},"scope":{"type":"string","description":"Space-separated list of Okta API scopes to request."},"host":{"type":"string","description":"Base host URL of your Okta organisation. If omitted, derived from oauthTokenUrl."}},"required":["clientId","kid","privateKey","oauthTokenUrl","scope"]}}}}
```

## The ExecPlanStepDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"ExecPlanStepDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the step"},"description":{"type":"string","description":"Step description"},"dependsOnSteps":{"description":"List of step IDs that must be completed first","type":"array","items":{"type":"string"}}},"required":["id","description","dependsOnSteps"]}}}}
```

## The ExecPlanDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"ExecPlanDto":{"type":"object","properties":{"title":{"type":"string","description":"Optional human-readable title for the execution plan"},"description":{"type":"string","description":"High-level description of the execution plan"},"steps":{"description":"Ordered list of steps to execute the plan","type":"array","items":{"$ref":"#/components/schemas/ExecPlanStepDto"}}},"required":["description","steps"]},"ExecPlanStepDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the step"},"description":{"type":"string","description":"Step description"},"dependsOnSteps":{"description":"List of step IDs that must be completed first","type":"array","items":{"type":"string"}}},"required":["id","description","dependsOnSteps"]}}}}
```

## The ExecPlanResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"ExecPlanResponseDto":{"type":"object","properties":{"planType":{"type":"string","description":"Plan serialization type","enum":["json","text"]},"plan":{"description":"Execution plan details","oneOf":[{"$ref":"#/components/schemas/ExecPlanDto"},{"type":"string"}]}},"required":["planType","plan"]},"ExecPlanDto":{"type":"object","properties":{"title":{"type":"string","description":"Optional human-readable title for the execution plan"},"description":{"type":"string","description":"High-level description of the execution plan"},"steps":{"description":"Ordered list of steps to execute the plan","type":"array","items":{"$ref":"#/components/schemas/ExecPlanStepDto"}}},"required":["description","steps"]},"ExecPlanStepDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the step"},"description":{"type":"string","description":"Step description"},"dependsOnSteps":{"description":"List of step IDs that must be completed first","type":"array","items":{"type":"string"}}},"required":["id","description","dependsOnSteps"]}}}}
```

## The CreateRunResponse object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"CreateRunResponse":{"type":"object","properties":{"runId":{"type":"string","description":"Unique identifier for the created run","format":"uuid"},"repeatKey":{"type":"string","description":"Key passed or generated during creation to repeat the run later","format":"string"},"status":{"type":"string","description":"Current status of the run","enum":["QUEUED","RUNNING","AUTH_REQUIRED","PAUSED","CANCELED","NO_SUCCESS","PARTIAL_SUCCESS","SUCCESS","FAILED"]},"events":{"type":"array","description":"Array of events in the run","items":{"type":"object"}},"executionPlanId":{"type":"string","description":"The UUID of the execution plan that was used for the run","format":"uuid"},"plan":{"description":"Execution plan for the run","allOf":[{"$ref":"#/components/schemas/ExecPlanResponseDto"}]},"repeatRunId":{"type":"string","description":"The UUID of the run that is going to be repeated.","format":"uuid"}},"required":["runId","repeatKey","status","events","executionPlanId","plan"]},"ExecPlanResponseDto":{"type":"object","properties":{"planType":{"type":"string","description":"Plan serialization type","enum":["json","text"]},"plan":{"description":"Execution plan details","oneOf":[{"$ref":"#/components/schemas/ExecPlanDto"},{"type":"string"}]}},"required":["planType","plan"]},"ExecPlanDto":{"type":"object","properties":{"title":{"type":"string","description":"Optional human-readable title for the execution plan"},"description":{"type":"string","description":"High-level description of the execution plan"},"steps":{"description":"Ordered list of steps to execute the plan","type":"array","items":{"$ref":"#/components/schemas/ExecPlanStepDto"}}},"required":["description","steps"]},"ExecPlanStepDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the step"},"description":{"type":"string","description":"Step description"},"dependsOnSteps":{"description":"List of step IDs that must be completed first","type":"array","items":{"type":"string"}}},"required":["id","description","dependsOnSteps"]}}}}
```

## The FeedbackSourceMetadataDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"FeedbackSourceMetadataDto":{"type":"object","properties":{"device":{"type":"string"},"platform":{"type":"string"},"version":{"type":"string"},"sessionId":{"type":"string"},"userAgent":{"type":"string"}}}}}}
```

## The FeedbackSourceDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"FeedbackSourceDto":{"type":"object","properties":{"type":{"type":"string","enum":["user","evaluator","api"]},"userId":{"type":"string"},"metadata":{"$ref":"#/components/schemas/FeedbackSourceMetadataDto"}}},"FeedbackSourceMetadataDto":{"type":"object","properties":{"device":{"type":"string"},"platform":{"type":"string"},"version":{"type":"string"},"sessionId":{"type":"string"},"userAgent":{"type":"string"}}}}}}
```

## The FeedbackMetadataDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"FeedbackMetadataDto":{"type":"object","properties":{"version":{"type":"string"},"sessionId":{"type":"string"},"experimentId":{"type":"string"},"environment":{"type":"string"},"clientVersion":{"type":"string"}}}}}}
```

## The UpsertFeedbackDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"UpsertFeedbackDto":{"type":"object","properties":{"rating":{"type":"string","enum":["positive","negative"],"description":"Required when creating new feedback"},"comment":{"type":"string"},"source":{"$ref":"#/components/schemas/FeedbackSourceDto"},"metadata":{"$ref":"#/components/schemas/FeedbackMetadataDto"}}},"FeedbackSourceDto":{"type":"object","properties":{"type":{"type":"string","enum":["user","evaluator","api"]},"userId":{"type":"string"},"metadata":{"$ref":"#/components/schemas/FeedbackSourceMetadataDto"}}},"FeedbackSourceMetadataDto":{"type":"object","properties":{"device":{"type":"string"},"platform":{"type":"string"},"version":{"type":"string"},"sessionId":{"type":"string"},"userAgent":{"type":"string"}}},"FeedbackMetadataDto":{"type":"object","properties":{"version":{"type":"string"},"sessionId":{"type":"string"},"experimentId":{"type":"string"},"environment":{"type":"string"},"clientVersion":{"type":"string"}}}}}}
```

## The FeedbackResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"FeedbackResponseDto":{"type":"object","properties":{"id":{"type":"string"},"runId":{"type":"string"},"rating":{"type":"string","enum":["positive","negative"]},"comment":{"type":"string"},"feedbackSource":{"$ref":"#/components/schemas/FeedbackSourceDto"},"metadata":{"$ref":"#/components/schemas/FeedbackMetadataDto"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","runId","rating","createdAt","updatedAt"]},"FeedbackSourceDto":{"type":"object","properties":{"type":{"type":"string","enum":["user","evaluator","api"]},"userId":{"type":"string"},"metadata":{"$ref":"#/components/schemas/FeedbackSourceMetadataDto"}}},"FeedbackSourceMetadataDto":{"type":"object","properties":{"device":{"type":"string"},"platform":{"type":"string"},"version":{"type":"string"},"sessionId":{"type":"string"},"userAgent":{"type":"string"}}},"FeedbackMetadataDto":{"type":"object","properties":{"version":{"type":"string"},"sessionId":{"type":"string"},"experimentId":{"type":"string"},"environment":{"type":"string"},"clientVersion":{"type":"string"}}}}}}
```

## The ListActionsResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"ListActionsResponseDto":{"type":"object","properties":{"key":{"type":"string","description":"The key of the action"},"intent":{"type":"string","description":"The intent associated with the action"},"outputSchema":{"type":"object","description":"JSON Schema draft 7 schema for action output format","format":"json-schema"},"inputSchema":{"type":"object","description":"JSON Schema draft 7 schema for action input format","format":"json-schema"},"useDefaultMapping":{"type":"boolean","description":"Whether default input/output mapping is used"},"updatedAt":{"format":"date-time","type":"string","description":"Action last update timestamp"},"createdAt":{"format":"date-time","type":"string","description":"Action creation timestamp"}},"required":["key","intent","useDefaultMapping","updatedAt","createdAt"]}}}}
```

## The RunActionRequest object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"RunActionRequest":{"type":"object","properties":{"key":{"type":"string","description":"The key of the action to run"},"userId":{"type":"string","description":"The ID of the user who is running the action"},"input":{"type":"object","description":"Input parameters for the action. Required if action has input schema defined."},"passThrough":{"description":"Pass through data for the action run, e.g. credentials for the integrations used in the run","type":"array","items":{"type":"object"}}},"required":["key","userId"]}}}}
```

## The RunActionResponse object

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"components":{"schemas":{"RunActionResponse":{"type":"object","properties":{"runId":{"type":"string","description":"The ID of the run that was created","format":"uuid"},"output":{"type":"object","description":"The output of the action"}},"required":["runId","output"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toolregistry.ai/api-documentation/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
